> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# stock pagination



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/stock
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/stock:
    get:
      tags:
        - 'Stock:'
      summary: stock pagination
      operationId: StockController_findAllPaginated_v1
      parameters:
        - name: limit
          required: false
          in: query
          description: 'pagination: limit of entities returned by query'
          schema:
            maximum: 50
            default: 10
            type: number
        - name: cursorId
          required: false
          in: query
          description: >-
            pagination: it is necessary to pass cursorId = null in the first
            call
          schema:
            type: string
        - name: skuCode
          required: false
          in: query
          schema:
            type: string
        - name: skuId
          required: false
          in: query
          schema:
            type: string
        - name: availability
          required: false
          in: query
          schema:
            type: boolean
        - name: availabilityStartDate
          required: false
          in: query
          description: 'availability start date (format: YYYY-MM-DD)'
          schema:
            format: date-time
            example: '2025-07-25'
            type: string
        - name: availabilityEndDate
          required: false
          in: query
          description: 'availability end date (format: YYYY-MM-DD)'
          schema:
            format: date-time
            example: '2025-07-25'
            type: string
        - name: changeStartDate
          required: false
          in: query
          description: 'change start date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)'
          schema:
            format: date-time
            example: '2025-07-25 08:00:00'
            type: string
        - name: changeEndDate
          required: false
          in: query
          description: 'change end date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)'
          schema:
            format: date-time
            example: '2025-07-26 20:15:00'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StockDTO'
                  nextCursor:
                    type: string
                    nullable: true
                    description: when the field is null, it means that pagination has ended
          description: stock pagination
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    StockDTO:
      type: object
      properties:
        id:
          type: string
          example: string
        createdAt:
          type: string
          example: '2024-06-20T20:32:36.796Z'
          format: date-time
        updatedAt:
          type: string
          example: '2024-06-21T12:16:11.089Z'
          format: date-time
        availableAmount:
          type: number
          example: 0
        totalAmount:
          type: number
          example: 0
        reservedAmount:
          type: number
          example: 0
        minimumAmount:
          type: number
          example: 0
        availableForSale:
          type: boolean
          example: true
        startDate:
          type: string
          example: '2025-07-15'
          format: date
        endDate:
          type: string
          example: '2025-07-15'
          format: date
        sku:
          description: associated SKU information
          example:
            id: string
            code: string
          allOf:
            - $ref: '#/components/schemas/SkuCodeDTO'
      required:
        - id
        - createdAt
        - updatedAt
        - availableAmount
        - totalAmount
        - reservedAmount
        - minimumAmount
        - availableForSale
        - startDate
        - endDate
        - sku
    SkuCodeDTO:
      type: object
      properties:
        id:
          type: string
          example: string
        code:
          type: string
          example: string
      required:
        - id
        - code
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````